Bug 59907 - FILEOPEN: EMF: ModifyWorldTransform not applied to DIB
Summary: FILEOPEN: EMF: ModifyWorldTransform not applied to DIB
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Bartosz
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2013-01-26 15:12 UTC by Valek Filippov
Modified: 2019-02-05 17:34 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file. Bitmap fills should be rotated with theirs borders (2.75 KB, image/x-emf)
2013-01-29 02:53 UTC, Valek Filippov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2013-01-26 15:12:51 UTC
LO Draw do not apply ModifyWorldTransform (and probably SetWorldTransform) to bitmaps.

I will attach a sample later.
Comment 1 Valek Filippov 2013-01-29 02:53:19 UTC
Created attachment 73800 [details]
Test file. Bitmap fills should be rotated with theirs borders

The file is courtesy of libuemf project (https://sourceforge.net/projects/libuemf/). Attached by permission from the author.
Comment 2 Owen Genat (retired) 2014-07-18 08:16:12 UTC
Valek, can you attach a screenshot (JPG, PNG, etc) of expected and observed behaviour so that others can test the provided EMF? Status set to NEEDINFO. Please set back to UNCONFIRMED once the screenshots are provided. Thanks.
Comment 3 Owen Genat (retired) 2014-07-18 08:17:46 UTC
(In reply to comment #2)
> Valek, can you attach a screenshot (JPG, PNG, etc) of expected and observed
> behaviour so that others can test the provided EMF? Status set to NEEDINFO.
> Please set back to UNCONFIRMED once the screenshots are provided. Thanks.

Sorry. Please disregard. I mis-read comment 1. Confirmed. Status set to NEW.
Comment 4 QA Administrators 2015-07-18 17:43:37 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-10-22 11:02:59 UTC
Still confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: fcc2415ade6ae93710bbbda9f7e163045e323105
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-21_16:55:13
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2016-11-08 11:02:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20161108